This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 203838 - fftw threading libraries make for not quite happy prelink
fftw threading libraries make for not quite happy prelink
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fftw (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Quentin Spencer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 18:17 EDT by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-08 10:14:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-08-23 18:17:19 EDT
Description of problem:

# ldd -d -r  /usr/lib64/libfftw3l_threads.so.3

produces 38 messages in this style:
undefined symbol: fftwl_dft_solve       (/usr/lib64/libfftw3l_threads.so.3)
....

with all symbols apparently coming from libfftw3 itself.  It
appears that '-lfftw3', or something similar, is missing somewhere
in a compilation. Quoting
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=202256#c1
"The libraries work, but less efficiently than they could if they
were linked properly".

Version-Release number of selected component (if applicable):
fftw-3.1.1-1.fc6
Comment 1 Quentin Spencer 2006-09-08 10:14:41 EDT
I have looked into this and reported the problem to the fftw developers. It
appears that fixing it is theoretically possible, but more complicated than
first thought. My attempts to patch the source have so far resulted in circular
makefile dependencies that break compilation. Neither I or the fftw developers
are sufficiently well versed in the use of libtool to understand how to do this
properly. Furthermore, the performance loss on a library of this size can't be
that big, and usually any user of a math library who is that concerned about
performance is probably static linking anyway.

If you can propose a patch to the source code that accomplishes prelinking in
the correct way, I will gladly include it in the package, and I'm sure the
developers will apply it to the source.
Comment 2 Michal Jaegermann 2006-09-08 15:27:40 EDT
> appears that fixing it is theoretically possible, but more 
> complicated than first thought.

I would not worry about that too much then.  I filed this report
during a "general cleanup" of other issues with a hope that
a resolution will be "obvious" to somebody closely familiar
with the whole package.  If not then not.  Clearly no functionality
is lost and WONTFIX is right.

Note You need to log in before you can comment on or make changes to this bug.